commit cfe48a9611a213886b7676b418a1d22925ad43cd
Author: cagy <ml.cagy@seznam.cz>
Date:   Thu Apr 16 22:45:05 2020 +0200

    re #7871 - connect templates with data from database

diff --git a/src/main/java/vldc/aswi/configuration/AppConfig.java b/src/main/java/vldc/aswi/configuration/AppConfig.java
index 802b9960..44ef9021 100644
--- a/src/main/java/vldc/aswi/configuration/AppConfig.java
+++ b/src/main/java/vldc/aswi/configuration/AppConfig.java
@@ -1,5 +1,6 @@
 package vldc.aswi.configuration;
 
+import nz.net.ultraq.thymeleaf.LayoutDialect;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
 import org.springframework.context.annotation.Bean;
@@ -56,6 +57,7 @@ public class AppConfig extends WebSecurityConfigurerAdapter implements WebMvcCon
         templateEngine.setTemplateResolver(templateResolver());
         templateEngine.setEnableSpringELCompiler(true);
         templateEngine.addDialect("sec", new SpringSecurityDialect());
+        templateEngine.addDialect(new LayoutDialect());
         return templateEngine;
     }
 
diff --git a/src/main/java/vldc/aswi/web/controller/AssemblyController.java b/src/main/java/vldc/aswi/web/controller/AssemblyController.java
index 6158a480..e1d0bc5e 100644
--- a/src/main/java/vldc/aswi/web/controller/AssemblyController.java
+++ b/src/main/java/vldc/aswi/web/controller/AssemblyController.java
@@ -3,10 +3,12 @@ package vldc.aswi.web.controller;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.ModelMap;
+import org.springframework.validation.BindingResult;
 import org.springframework.web.bind.annotation.GetMapping;
 import org.springframework.web.bind.annotation.ModelAttribute;
 import org.springframework.web.bind.annotation.PostMapping;
 import org.springframework.web.servlet.ModelAndView;
+import org.springframework.web.servlet.mvc.support.RedirectAttributes;
 import vldc.aswi.domain.Assembly;
 import vldc.aswi.service.AssemblyManager;
 import vldc.aswi.service.SqlQueryManager;
@@ -28,27 +30,29 @@ public class AssemblyController {
 
         ModelMap modelMap = modelAndView.getModelMap();
 
-        Assembly selectedAssembly = assemblyManager.getAssemblyById(Long.parseLong(id));
+        Assembly assembly = assemblyManager.getAssemblyById(Long.parseLong(id));
 
         modelMap.addAttribute("assemblies", assemblyManager.getAssemblies());
-        modelMap.addAttribute("selectedAssembly", selectedAssembly);
-        modelMap.addAttribute("contingencyTableRows", sqlQueryManager.getContingencyTableRow(selectedAssembly.getSQLQuery()));
+        modelMap.addAttribute("assembly", assembly);
 
         return modelAndView;
     }
 
 
     @PostMapping("/assembly")
-    public ModelAndView indexPost(@Valid @ModelAttribute("assemblyID") String id) {
+    public ModelAndView indexPost(@Valid Assembly assembly, BindingResult bindingResult, RedirectAttributes atts) {
         ModelAndView modelAndView = new ModelAndView();
 
         ModelMap modelMap = modelAndView.getModelMap();
 
-        Assembly selectedAssembly = assemblyManager.getAssemblyById(Long.parseLong(id));
+        long assemblyID = assembly.getId();
+System.out.println(assemblyID);
+        Assembly assembly2 = assemblyManager.getAssemblyById(assemblyID);
+
 
         modelMap.addAttribute("assemblies", assemblyManager.getAssemblies());
-        modelMap.addAttribute("selectedAssembly", selectedAssembly);
-        modelMap.addAttribute("contingencyTableRows", sqlQueryManager.getContingencyTableRow(selectedAssembly.getSQLQuery()));
+        modelMap.addAttribute("assembly", assembly2);
+        modelMap.addAttribute("contingencyTableRows", sqlQueryManager.getContingencyTableRow(assembly2.getSQLQuery()));
 
         return modelAndView;
     }
